<?xml version="1.0" encoding="UTF-8"?>
<scr:component xmlns:scr="http://www.osgi.org/xmlns/scr/v1.3.0" name="com.liferay.object.service.impl.ObjectDefinitionLocalServiceImpl" activate="activate" deactivate="deactivate">
  <property name="model.class.name" type="String" value="com.liferay.object.model.ObjectDefinition"/>
  <service>
    <provide interface="com.liferay.portal.aop.AopService"/>
  </service>
  <reference name="_accountEntryLocalService" interface="com.liferay.account.service.AccountEntryLocalService" field="_accountEntryLocalService"/>
  <reference name="_accountEntryOrganizationRelLocalService" interface="com.liferay.account.service.AccountEntryOrganizationRelLocalService" field="_accountEntryOrganizationRelLocalService"/>
  <reference name="_assetEntryLocalService" interface="com.liferay.asset.kernel.service.AssetEntryLocalService" field="_assetEntryLocalService"/>
  <reference name="_classNameLocalService" interface="com.liferay.portal.kernel.service.ClassNameLocalService" field="_classNameLocalService"/>
  <reference name="_companyLocalService" interface="com.liferay.portal.kernel.service.CompanyLocalService" field="_companyLocalService"/>
  <reference name="_currentConnection" interface="com.liferay.portal.kernel.dao.jdbc.CurrentConnection" field="_currentConnection"/>
  <reference name="_dynamicQueryBatchIndexingActionableFactory" interface="com.liferay.portal.search.batch.DynamicQueryBatchIndexingActionableFactory" field="_dynamicQueryBatchIndexingActionableFactory"/>
  <reference name="_groupLocalService" interface="com.liferay.portal.kernel.service.GroupLocalService" field="_groupLocalService"/>
  <reference name="_language" interface="com.liferay.portal.kernel.language.Language" field="_language"/>
  <reference name="_layoutClassedModelUsageLocalService" interface="com.liferay.layout.service.LayoutClassedModelUsageLocalService" field="_layoutClassedModelUsageLocalService"/>
  <reference name="_listTypeLocalService" interface="com.liferay.portal.kernel.service.ListTypeLocalService" field="_listTypeLocalService"/>
  <reference name="_modelSearchRegistrarHelper" interface="com.liferay.portal.search.spi.model.registrar.ModelSearchRegistrarHelper" field="_modelSearchRegistrarHelper"/>
  <reference name="_multiVMPool" interface="com.liferay.portal.kernel.cache.MultiVMPool" field="_multiVMPool"/>
  <reference name="_objectActionLocalService" interface="com.liferay.object.service.ObjectActionLocalService" field="_objectActionLocalService"/>
  <reference name="_objectEntryLocalService" interface="com.liferay.object.service.ObjectEntryLocalService" field="_objectEntryLocalService"/>
  <reference name="_objectEntryPersistence" interface="com.liferay.object.service.persistence.ObjectEntryPersistence" field="_objectEntryPersistence"/>
  <reference name="_objectEntryService" interface="com.liferay.object.service.ObjectEntryService" field="_objectEntryService"/>
  <reference name="_objectFieldLocalService" interface="com.liferay.object.service.ObjectFieldLocalService" field="_objectFieldLocalService"/>
  <reference name="_objectFieldPersistence" interface="com.liferay.object.service.persistence.ObjectFieldPersistence" field="_objectFieldPersistence"/>
  <reference name="_objectLayoutLocalService" interface="com.liferay.object.service.ObjectLayoutLocalService" field="_objectLayoutLocalService"/>
  <reference name="_objectLayoutTabLocalService" interface="com.liferay.object.service.ObjectLayoutTabLocalService" field="_objectLayoutTabLocalService"/>
  <reference name="_objectRelationshipLocalService" interface="com.liferay.object.service.ObjectRelationshipLocalService" field="_objectRelationshipLocalService"/>
  <reference name="_objectRelationshipPersistence" interface="com.liferay.object.service.persistence.ObjectRelationshipPersistence" field="_objectRelationshipPersistence"/>
  <reference name="_objectScopeProviderRegistry" interface="com.liferay.object.scope.ObjectScopeProviderRegistry" field="_objectScopeProviderRegistry"/>
  <reference name="_objectValidationRuleLocalService" interface="com.liferay.object.service.ObjectValidationRuleLocalService" field="_objectValidationRuleLocalService"/>
  <reference name="_objectViewLocalService" interface="com.liferay.object.service.ObjectViewLocalService" field="_objectViewLocalService"/>
  <reference name="_organizationLocalService" interface="com.liferay.portal.kernel.service.OrganizationLocalService" field="_organizationLocalService"/>
  <reference name="_persistedModelLocalServiceRegistry" interface="com.liferay.portal.kernel.service.PersistedModelLocalServiceRegistry" field="_persistedModelLocalServiceRegistry"/>
  <reference name="_ploEntryLocalService" interface="com.liferay.portal.language.override.service.PLOEntryLocalService" field="_ploEntryLocalService"/>
  <reference name="_portal" interface="com.liferay.portal.kernel.util.Portal" field="_portal"/>
  <reference name="_portletLocalService" interface="com.liferay.portal.kernel.service.PortletLocalService" field="_portletLocalService"/>
  <reference name="_resourceActionLocalService" interface="com.liferay.portal.kernel.service.ResourceActionLocalService" field="_resourceActionLocalService"/>
  <reference name="_resourceActions" interface="com.liferay.portal.kernel.security.permission.ResourceActions" field="_resourceActions"/>
  <reference name="_resourceLocalService" interface="com.liferay.portal.kernel.service.ResourceLocalService" field="_resourceLocalService"/>
  <reference name="_resourcePermissionLocalService" interface="com.liferay.portal.kernel.service.ResourcePermissionLocalService" field="_resourcePermissionLocalService"/>
  <reference name="_userGroupRoleLocalService" interface="com.liferay.portal.kernel.service.UserGroupRoleLocalService" field="_userGroupRoleLocalService"/>
  <reference name="_userLocalService" interface="com.liferay.portal.kernel.service.UserLocalService" field="_userLocalService"/>
  <reference name="_workflowInstanceLinkLocalService" interface="com.liferay.portal.kernel.service.WorkflowInstanceLinkLocalService" field="_workflowInstanceLinkLocalService"/>
  <reference name="_workflowInstanceManager" interface="com.liferay.portal.kernel.workflow.WorkflowInstanceManager" field="_workflowInstanceManager"/>
  <reference name="_workflowStatusModelPreFilterContributor" interface="com.liferay.portal.search.spi.model.query.contributor.ModelPreFilterContributor" target="(model.pre.filter.contributor.id=WorkflowStatus)" field="_workflowStatusModelPreFilterContributor"/>
  <reference name="counterLocalService" interface="com.liferay.counter.kernel.service.CounterLocalService" field="counterLocalService"/>
  <reference name="objectDefinitionPersistence" interface="com.liferay.object.service.persistence.ObjectDefinitionPersistence" field="objectDefinitionPersistence"/>
  <implementation class="com.liferay.object.service.impl.ObjectDefinitionLocalServiceImpl"/>
</scr:component>
